## org.eclipse.emf.query.statements
Class SET

    java.lang.Object
      org.eclipse.emf.query.internal.statements.QueryClause
          org.eclipse.emf.query.statements.SET

    public abstract class SET

extends org.eclipse.emf.query.internal.statements.QueryClause

The set clause is used in conjunction with the `UPDATE` statement to perform some operation on the result EObjects.

Constructor Summary
`SET()`

Method Summary
`abstract boolean` `set(EObject eObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SET

    public SET()

Method Detail

### set

    public abstract boolean set(EObject eObject)

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.